Name:           perl-Time-Mock
Version:        0.0.2
Release:        8%{?dist}
Summary:        Replaces actual time with simulated time - alternative to Test::MockTime
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Time-Mock/
Source0:        http://www.cpan.org/authors/id/E/EW/EWILHELM/Time-Mock-v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Date::Parse) >= 2.27
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict), perl(version), perl(warnings)

Requires:       perl(Date::Parse) >= 2.27
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is an alternative to Test::MockTime which enables test suites to 
test code at specific points in time. Test::MockTime is nice, but doesn't
allow you to accelerate the time step and doesn't deal with Time::HiRes or 
give you any way to change the time across forks.

%prep
%setup -q -n Time-Mock-v%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.2-7
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.0.2-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.0.2-3
- Perl 5.18 rebuild

* Thu May 16 2013 Yanko Kaneti <yaneti@declera.com> 0.0.2-2
- Address review comments. (#963211#c1)

* Tue May 14 2013 Yanko Kaneti <yaneti@declera.com> 0.0.2-1
- Specfile autogenerated by cpanspec 1.78 and tweaked for submission
